<template>
  <div>
    <b-card
      :title="team.abbreviation"
      :img-src="team.logos[0]"
      :img-alt="team.abbreviation"
      img-top
      tag="article"
      style="max-width: 20rem;"
      class="mb-2 custom-card"
      :style="{'background-color': team.alt_color,
                'color': team.color
      }"
    >
      <b-card-text>{{ team.school }}</b-card-text>

      <b-button href="#" variant="primary" v-b-modal="'team-' + team.id">Ver detalles</b-button>

      <b-modal
        :id="'team-' + team.id"
        :title="team.school"
        :style="{'background-color': team.alt_color,
                'color': team.color
      }"
      >
        <b-img :src="team.logos[0]" :alt="team.school + ' logo'"></b-img>
        <b-list-group>
          <b-list-group-item>Abreviación: {{team.abbreviation}}</b-list-group-item>
          <b-list-group-item>Conferencia: {{team.conference}}</b-list-group-item>
          <b-list-group-item>División: {{team.division}}</b-list-group-item>
          <b-list-group-item>Mascota: {{team.mascot}}</b-list-group-item>
          <b-list-group-item>Nombres Alternativos: {{team.alt_name1}}, {{team.alt_name2}}, {{team.alt_name3}}</b-list-group-item>
        </b-list-group>

        <hr />

        <b-form-checkbox v-model="checked" size="lg" name="check-button" switch>
          Favorito
        </b-form-checkbox>
        <br>
        <b-form-textarea
          id="textarea"
          :v-model="'comentario' + team.id"
          placeholder="Comentarios"
          rows="3"
          max-rows="6"
        ></b-form-textarea>
      </b-modal>
    </b-card>
  </div>
</template>

<script>
export default {
  props: {
    team: Object
  },
  data() {
    return {
      texto: "",
      checked: false
    };
  },
  mounted() {
    if (this.team.logos === null) {
      this.team.logos = [
        "https://placeit-assets1.s3-accelerate.amazonaws.com/custom-pages/landing-page-football-logo-maker/football-logo-animal_transparent.png"
      ];
    }
  }
};
</script>

<style>
</style>